Skip to content

Update category (rename, reslug, re-parent, reposition)

PATCH
/admin/v1/categories/{id}
curl --request PATCH \
--url https://your-store.example.com/admin/v1/categories/example \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "slug": "example", "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "position": 1, "description": "example", "seoTitle": "example", "seoDescription": "example" }'
id
required
string
Media type application/json
object
name
string
>= 1 characters <= 512 characters
slug
string
>= 1 characters <= 512 characters
parentId
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
position
integer
<= 9007199254740991
description
Any of:
string
seoTitle
Any of:
string
<= 512 characters
seoDescription
Any of:
string
<= 1024 characters
Example generated
{
"name": "example",
"slug": "example",
"parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"position": 1,
"description": "example",
"seoTitle": "example",
"seoDescription": "example"
}